lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [day] [month] [year] [list]
Date: Mon, 26 Mar 2018 13:24:53 +0000
From: EMC Product Security Response Center <Security_Alert@....com>
To: "'fulldisclosure@...lists.org'" <fulldisclosure@...lists.org>
Subject: [FD] DSA-2018-040: RSA® Authentication Agent for Web for IIS and Apache Web Server Multiple Vulnerabilities

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

DSA-2018-040: RSA® Authentication Agent for Web for IIS and Apache Web Server Multiple Vulnerabilities 

Dell EMC Identifier: DSA-2018-040
CVE Identifier:  CVE-2018-1232, CVE-2018-1233, CVE-2018-1234
Severity: High
Severity Rating:  CVSS v3 Base Score: See below for scores.

Affected Products:
RSA Authentication Agent for Web for IIS version 8.0.1 and earlier (All CVEs)
RSA Authentication Agent for Web for Apache Web Server version 8.0.1 and earlier (CVE-2018-1232 and CVE-2018-1233 only) 

Summary:
RSA Authentication Agent for Web for both IIS and Apache Web Server version 8.0.1 and earlier contain multiple vulnerabilities that could potentially be exploited by malicious users to compromise affected systems.


Details:
Stack-based Buffer Overflow Vulnerability (CVE-2018-1232) 
RSA Authentication Agent for Web for both IIS and Apache Web Server are impacted by a stack-based buffer overflow which may occur when handling certain malicious web cookies that have invalid formats. The attacker could exploit this vulnerability to crash the authentication agent and cause a denial-of-service situation.

CVSSv3 Base Score: 7.5 (AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H)

Cross-site Scripting Vulnerability (CVE-2018-1233) 
RSA Authentication Agent for Web for both IIS and Apache Web Server are affected by a cross-site scripting vulnerability. The attackers could potentially exploit this vulnerability to execute arbitrary HTML or JavaScript code in the user’s browser session in the context of the affected website.

CVSSv3 Base Score: 6.1 (AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N)
 

Sensitive Information Disclosure Vulnerability (CVE-2018-1234)
RSA Authentication Agent for Web for IIS is affected by a problem where access control list (ACL) permissions on a Windows Named Pipe were not sufficient to prevent access by unauthorized users. The attacker with local access to the system can exploit this vulnerability to read configuration properties for the authentication agent.

CVSSv3 Base Score: 6.6 (AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:L/A:L)
 

Recommendation:
The following RSA Authentication Agent for Web releases contain resolutions for these vulnerabilities:

RSA Authentication Agent for Web for IIS version 8.0.2 and later
RSA Authentication Agent for Web for Apache Web Server version 8.0.2 and later
RSA recommends all customers upgrade at the earliest opportunity.


Credits:
RSA would like to thank Harrison Neal for reporting vulnerabilities identified under CVE-2018-1232 and CVE-2018-1234. 

Severity Rating:
For an explanation of Severity Ratings, refer to the Knowledge Base Article, “Security Advisories Severity Rating” at https://knowledge.rsasecurity.com/scolcms/knowledge.aspx?solution=a46604. RSA recommends all customers take into account both the base score and any relevant temporal and environmental scores which may impact the potential severity associated with particular security vulnerability.
 

EOPS Policy:
RSA has a defined End of Primary Support policy associated with all major versions. Please refer to the Product Version Life Cycle for additional details.


RSA Link Security Advisories:
Read and use the information in this RSA Security Advisory to assist in avoiding any situation that might arise from the problems described herein. If you have any questions regarding this product alert, contact RSA Software Technical Support at 1-800-995-5095. RSA Security LLC and its affiliates, including without limitation, its ultimate parent company, Dell Technologies, distribute RSA Security Advisories in order to bring to the attention of users of the affected RSA products, important security information. RSA recommends that all users determine the applicability of this information to their individual situations and take appropriate action. The information set forth herein is provided "as is" without warranty of any kind. RSA disclaims all warranties, either express or implied, including the warranties of merchantability, fitness for a particular purpose, title and non-infringement. In no event shall RSA, its affiliates or its suppliers, be liable for any damages whatsoever including direct, indirect, incidental, consequential, loss of business profits or special damages, even if RSA, its affiliates or its suppliers have been advised of the possibility of such damages. Some jurisdictions do not allow the exclusion or limitation of liability for consequential or incidental damages, so the foregoing limitation may not apply.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQEcBAEBCAAGBQJauOi4AAoJEHbcu+fsE81ZXkEH/2iFfzUyGpNDg8CbKnBllJfO
xlSNwFL55dgD/Cz5o3i/ID9dQ3hyRMyLIx54aourtrmcyT7CJP+60nArfw76VlOu
2cNBHsZfdHD59Mh2CoigB2TUVzA7BDlLti69hlt/t27i89wXjJHbKKcpznXKkvdB
l44sC+o20vpvmc3ReZewu/kUYgC8KzaBCcyBM7VmxkbhPeBNz9+w/dAVm9VnYzFk
PQJDAaJoPCQyJohzi+ZAtxFreLpatDq0JP8T4Yu4g3V4+1qTw3OD1D+KK6sJG2qT
i5NUA9zTyVDStSuocOkthHMq9wEM82ApDzkBQH1fH+sY6FnZqqoPXX+YsSxtFKI=
=dLgL
-----END PGP SIGNATURE-----

_______________________________________________
Sent through the Full Disclosure mailing list
https://nmap.org/mailman/listinfo/fulldisclosure
Web Archives & RSS: http://seclists.org/fulldisclosure/

Powered by blists - more mailing lists

Powered by Openwall GNU/*/Linux - Powered by OpenVZ